const
  ofOpenRead          = $80000000;
  {* Use this flag (in combination with others) to open file for "read" only. }
  ofOpenWrite         = $40000000;
  {* Use this flag (in combination with others) to open file for "write" only. }
  ofOpenReadWrite     = $C0000000;
  {* Use this flag (in combination with others) to open file for "read" and "write". }
  ofShareExclusive    = $00;
  {* Use this flag (in combination with others) to open file for exclusive use. }
  ofShareDenyWrite    = $01;
  {* Use this flag (in combination with others) to open file in share mode, when
     only attempts to open it in other process for "write" will be impossible.
     I.e., other processes could open this file simultaneously for read only
     access. }
  ofShareDenyRead     = $02;
  {* Use this flag (in combination with others) to open file in share mode, when
     only attempts to open it for "read" in other processes will be disabled.
     I.e., other processes could open it for "write" only access. }
  ofShareDenyNone     = $03;
  {* Use this flag (in combination with others) to open file in full sharing mode.
     I.e. any process will be able open this file using the same share flag. }
  ofCreateNew         = $100;
  {* Default creation disposition. Use this flag for creating new file (usually
     for write access. }
  ofCreateAlways      = $200;
  {* Use this flag (in combination with others) to open existing or creating new
     file. If existing file is opened, it is truncated to size 0. }
  ofOpenExisting      = $300;
  {* Use this flag (in combination with others) to open existing file only. }
  ofOpenAlways        = $400;
  {* Use this flag (in combination with others) to open existing or create new
     (if such file is not yet exists). }
  ofTruncateExisting  = $500;
  {* Use this flag (in combination with others) to open existing file and truncate
     it to size 0. }

  ofAttrReadOnly = $10000;
  {* Use this flag to create Read-Only file (?). }
  ofAttrHidden   = $20000;
  {* Use this flag to create hidden file. }
  ofAttrSystem   = $40000;
  {* Use this flag to create system file. }
  ofAttrTemp       = $1000000;
  {* Use this flag to create temp file. }
  ofAttrArchive  = $200000;
  {* Use this flag to create archive file. }
  ofAttrCompressed = $8000000;
  {* Use this flag to create compressed file. Has effect only on NTFS, and
     only if ofAttrCompressed is not specified also. }
  ofAttrOffline    = $10000000;
  {* Use this flag to create offline file. }